//+------------------------------------------------------------------+
//|                                                          NFP.mq4 |
//|                                                          zezinho |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "zezinho"
#property link      ""

extern double    Lots=1;
extern bool      UseHourTrade  = false; // Time filter
extern int       FromHourTrade = 0;     // start trading on this hour
extern int       ToHourTrade   = 24;    // end trading on this hour

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
  if( UseHourTrade ){
      if((( FromHourTrade <= ToHourTrade ) && ( Hour() < FromHourTrade || Hour() > ToHourTrade ))
         || 
         (( FromHourTrade >  ToHourTrade ) && ( Hour() < FromHourTrade && Hour() > ToHourTrade ))
        ) {
         return(0);
      }
      }
  

//----
   int cnt, ticket1, ticket2, ticket3, ticket4, ticket5, ticket6, ticket7, ticket8, ticket9, ticket10, ticket11, ticket12, ticket13, ticket14, ticket15, ticket16, total, profit;
   total = OrdersTotal();
   Print("Nmero de trades abertos a bro.: ",total);   

if (total==0)
{
      
   ticket1 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+15*Point,3,Ask-5*Point,Ask+25*Point,"Order #",12351,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 10 - COMPRA
   ticket2 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-15*Point,3,Bid+5*Point,Bid-25*Point,"Order #",12352,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 10 - VENDA
   ticket3 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+15*Point,3,Ask-5*Point,Ask+35*Point,"Order #",12359,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 20 - COMPRA
   ticket4 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-15*Point,3,Bid+5*Point,Bid-35*Point,"Order #",12360,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 20 - VENDA
   ticket5 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Bid+15*Point,3,Bid-5*Point,Bid+45*Point,"Order #",12360,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 30 - COMPRA
   ticket5 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-15*Point,3,Bid+5*Point,Bid-45*Point,"Order #",12360,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 30 - VENDA
   ticket7 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+15*Point,3,Ask-5*Point,Ask+50*Point,"Order #",12353,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 35 - COMPRA
   ticket8 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-15*Point,3,Bid+5*Point,Bid-50*Point,"Order #",12354,0,Green);  // Entrada = 15, Stop Loss = 20, Take Profit = 35 - VENDA // USAR TRAILING STOP EM 20
   ticket9 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+20*Point,3,Ask+0*Point,Ask+30*Point,"Order #",12347,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 10 - COMPRA
   ticket10 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-20*Point,3,Bid-0*Point,Bid-30*Point,"Order #",12348,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 10 - VENDA
   ticket11 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+20*Point,3,Ask+0*Point,Ask+40*Point,"Order #",12357,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 20 - COMPRA
   ticket12 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-20*Point,3,Bid-0*Point,Bid-40*Point,"Order #",12358,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 20 - VENDA
   ticket13 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+20*Point,3,Ask+0*Point,Ask+50*Point,"Order #",12357,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 30 - COMPRA
   ticket14 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-20*Point,3,Bid-0*Point,Bid-50*Point,"Order #",12358,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 30 - VENDA
   ticket15 = OrderSend(Symbol(),OP_BUYSTOP, Lots,Ask+20*Point,3,Ask+0*Point,Ask+55*Point,"Order #",12345,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 35 - COMPRA
   ticket16 = OrderSend(Symbol(),OP_SELLSTOP, Lots,Bid-20*Point,3,Bid-0*Point,Bid-55*Point,"Order #",12346,0,Green);  // Entrada = 20, Stop Loss = 20, Take Profit = 35 - VENDA // USAR TRAILING STOP EM 20
   
      if(ticket1>0)
   {
      if(OrderSelect(ticket1,SELECT_BY_TICKET,MODE_TRADES))
         Print("Order opened : ", OrderOpenPrice());
   }
   else
   {
      Print("Error opening order : ", GetLastError());
   }
   Print(Lots);
}
else
{
   Print("Se liga que ta cheio de ordem aberta ja!");
}
     
//----
   return(0);
  }

//+------------------------------------------------------------------+



